/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package tdd_calculator;

import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Selvyn
 */
public class CalculatorTest
{
    private Tdd_calculator itsCalculator;
    
    public CalculatorTest()
    {
    }
    
    @Before
    public void setUp()
    {
    }

    @Before
    public  void    setup()
    {
        itsCalculator = new Tdd_calculator();
    }
    
    @Test
    public  void    testAddZeros()
    {
        int input_A = 0;
        int input_B = 0;
        int result = -1;
        int expected = 0;
        
        result = itsCalculator.add(input_A, input_B);
        
        assertEquals( result, expected );
    }

    @Test
    public  void    testAddNegatives()
    {
        int input_A = -3;
        int input_B = -3;
        int result = -1;
        int expected = -6;
        
        result = itsCalculator.add(input_A, input_B);
        
        assertEquals( result, expected );
    }

    @Test
    public  void    testAddNegativePlus()
    {
        int input_A = -3;
        int input_B = 3;
        int result = -1;
        int expected = 0;
        
        result = itsCalculator.add(input_A, input_B);
        
        assertEquals( result, expected );
    }

    @Test
    public  void    testAddPlusNegative()
    {
        int input_A = 3;
        int input_B = -3;
        int result = -1;
        int expected = 0;
        
        result = itsCalculator.add(input_A, input_B);
        
        assertEquals( result, expected );
    }

    @Test
    public  void    testAddCharNum()
    {
        int input_A = 'A';
        char input_B = 3;
        int result = -1;
        int expected = -1;
        
        result = itsCalculator.add(input_A, input_B);
        
        assertEquals( result, expected );
    }

    @Test
    public  void    testAddNumChar()
    {
        int input_A = 3;
        char input_B = 'A';
        int result = -1;
        int expected = -1;
        
        result = itsCalculator.add(input_A, input_B);
        
        assertEquals( result, expected );
    }

    @Test
    public  void    testAddCharChar()
    {
        int input_A = 'A';
        char input_B = 'A';
        int result = -1;
        int expected = -1;
        
        result = itsCalculator.add(input_A, input_B);
        
        assertEquals( result, expected );
    }
}
